/* 
 * ASCD : copyright (c) Aley Keprt 1998-2001
 *
 * File driver.h - AY emulation code (additions to code taken from Mame)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


/*

fakeMame hook by Aley Keprt 2001

This piece of useless code only provides some stuff to compile Mame sources
without Mame.

*/


#ifndef __DRIVER_H
#define __DRIVER_H


#ifdef __cplusplus
extern "C" {
#endif


struct SMachine {
  int sample_rate;
};

struct SMachine *Machine;


struct MachineSound {
//	int sound_type;
	void *sound_interface;
};


//typedefs of (unused) parallel ports handlers
typedef int(*mem_read_handler)(int);
typedef void(*mem_write_handler)(int,int);


typedef short INT16;
typedef unsigned char UINT8;


#define MIXER(a,b) 0


int stream_init_multi(
  int channels,const char **names,const int *default_mixing_levels,
  int sample_rate, int param,
  void (*callback)(int param,INT16 **buffer,int length));

void stream_update(int channel,int min_interval);	/* min_interval is in usec */


#include <stdio.h>

#define logerror printf


#ifdef __cplusplus
}
#endif

#endif

