/* 
 * ASCD : copyright (c) Aley Keprt 1998-2001
 * SimCoupe : Copyright (c) Allan Skillman 1996.
 *
 * File fdi.h public interface to the floppy disk interface emulation
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#ifndef _FDI_H
#define _FDI_H


#ifdef __cplusplus
extern "C" {
#endif


void fdi_out(int port,unsigned char byte);
unsigned char fdi_in(int port);

void insert_disk(char *fn, int disk_no);
void eject_disk(int disk_no);

int create_disk_image(char *ImageFile, int AddSystem);


#ifdef __cplusplus
}
#endif

#endif

