/* 
 * ASCD : copyright (c) Aley Keprt 1998-2001
 *
 * File kbd.h : Keyboard emulation
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#ifndef __KBD_H
#define __KBD_H


#ifdef __cplusplus
extern "C" {
#endif


void KbdInit(void);
void KbdUpdate(void);

void SamKeyboardHandler(int Scancode, int EventType);
void EmulatorControl(void);


extern uns8 keyports[10];  /* 8 rows of keys (+ 1 row for unscanned keys) */

extern int SpectrumKeyboard;  //switch for spectrum keyboard mode


#ifdef __cplusplus
}
#endif

#endif

